/*
 *      straightCB.h
 */

#ifndef __STRAIGHTCB_H
#define __STRAIGHTCB_H

#ifdef __cplusplus
extern "C" {
#endif
    
#define STRAIGHT_NO_CALLBACK 0L
#define STRAIGHT_F0_PERCENTAGE_CALLBACK (1L<<0)
#define STRAIGHT_F0_COMPUTED_CALLBACK (1L<<1)
#define STRAIGHT_AP_PERCENTAGE_CALLBACK (1L<<2)
#define STRAIGHT_AP_COMPUTED_CALLBACK (1L<<3)
#define STRAIGHT_SPECGRAM_PERCENTAGE_CALLBACK (1L<<4)
#define STRAIGHT_SPECGRAM_COMPUTED_CALLBACK (1L<<5)
#define STRAIGHT_SYNTH_PERCENTAGE_CALLBACK (1L<<6)
#define STRAIGHT_SYNTH_COMPUTED_CALLBACK (1L<<7)

/* 1.1.0+ */    
#define STRAIGHT_F0_STARTED_CALLBACK (1L<<8)
#define STRAIGHT_AP_STARTED_CALLBACK (1L<<9)
#define STRAIGHT_SPECGRAM_STARTED_CALLBACK (1L<<10)
#define STRAIGHT_SYNTH_STARTED_CALLBACK (1L<<11)

/* 1.1.3+ */    
#define STRAIGHT_READ_STARTED_CALLBACK (1L<<16)
#define STRAIGHT_READ_PROGRESS_CALLBACK (1L<<17)
#define STRAIGHT_READ_FINISHED_CALLBACK (1L<<18)
#define STRAIGHT_WRITE_STARTED_CALLBACK (1L<<19)
#define STRAIGHT_WRITE_PROGRESS_CALLBACK (1L<<20)
#define STRAIGHT_WRITE_FINISHED_CALLBACK (1L<<21)

#define STRAIGHT_PERCENTAGE_CALLBACK (STRAIGHT_F0_PERCENTAGE_CALLBACK|STRAIGHT_AP_PERCENTAGE_CALLBACK|STRAIGHT_SPECGRAM_PERCENTAGE_CALLBACK|STRAIGHT_SYNTH_PERCENTAGE_CALLBACK)    
#define STRAIGHT_COMPUTED_CALLBACK (STRAIGHT_F0_COMPUTED_CALLBACK|STRAIGHT_AP_COMPUTED_CALLBACK|STRAIGHT_SPECGRAM_COMPUTED_CALLBACK|STRAIGHT_SYNTH_COMPUTED_CALLBACK)    

#define STRAIGHT_STARTED_CALLBACK (STRAIGHT_F0_STARTED_CALLBACK|STRAIGHT_AP_STARTED_CALLBACK|STRAIGHT_SPECGRAM_STARTED_CALLBACK|STRAIGHT_SYNTH_STARTED_CALLBACK)    /* 1.1.0+ */    

/* 1.1.3+ */
#define STRAIGHT_READ_CALLBACK (STRAIGHT_READ_STARTED_CALLBACK|STRAIGHT_READ_PROGRESS_CALLBACK|STRAIGHT_READ_FINISHED_CALLBACK)
#define STRAIGHT_WRITE_CALLBACK (STRAIGHT_WRITE_STARTED_CALLBACK|STRAIGHT_WRITE_PROGRESS_CALLBACK|STRAIGHT_WRITE_FINISHED_CALLBACK)
#define STRAIGHT_IO_CALLBACK (STRAIGHT_READ_CALLBACK|STRAIGHT_WRITE_CALLBACK)

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __STRAIGHTCB_H */
